Loading...
Searching...
No Matches
juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference

`#include <juce_ProcessorDuplicator.h>`

## Public Member Functions

| ProcessorDuplicator (StateType *stateToUse)
| ProcessorDuplicator (typename StateType::Ptr stateToUse)
| ProcessorDuplicator (const ProcessorDuplicator &)=default
| ProcessorDuplicator (ProcessorDuplicator &&)=default
void | prepare (const ProcessSpec &spec)
void | reset () noexcept
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Public Attributes

StateType::Ptr | state

## Detailed Description

template<typename MonoProcessorType, typename StateType>
struct juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances.

When the prepare method is called, it uses the specified number of channels to instantiate the appropriate number of instances, which it then uses in its process() method.

Definition at line 40 of file juce_ProcessorDuplicator.h.

## Constructor & Destructor Documentation

## ProcessorDuplicator() [1/3]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( |  | ) |

inline

Definition at line 42 of file juce_ProcessorDuplicator.h.

## ProcessorDuplicator() [2/3]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | StateType * | stateToUse | ) |

inline

Definition at line 43 of file juce_ProcessorDuplicator.h.

## ProcessorDuplicator() [3/3]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | typename StateType::Ptr | stateToUse | ) |

inline

Definition at line 44 of file juce_ProcessorDuplicator.h.

## Member Function Documentation

## prepare()

template<typename MonoProcessorType, typename StateType>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare | ( | const ProcessSpec & | spec | ) |

inline

Definition at line 48 of file juce_ProcessorDuplicator.h.

## process()

template<typename MonoProcessorType, typename StateType>
template<typename ProcessContext>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Definition at line 65 of file juce_ProcessorDuplicator.h.

## reset()

template<typename MonoProcessorType, typename StateType>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::reset | ( |  | ) |

inline noexcept

Definition at line 62 of file juce_ProcessorDuplicator.h.

## Member Data Documentation

## state

template<typename MonoProcessorType, typename StateType>

StateType::Ptr juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state

Definition at line 77 of file juce_ProcessorDuplicator.h.

The documentation for this struct was generated from the following file:

- juce_ProcessorDuplicator.h